ISOINFO(1)

NAZWA
devdump, isoinfo, isovfy, isodump - Programy użytkowe do zrzucania i weryfikacji obrazów iso9660.

SKŁADNIA
devdump obraz_iso

isodump obraz_iso

isoinfo [ -h ] [ -R ] [ -J ] [ -f ] [ -l ] [ -p ] [ -T sektor ] [ -N sektor ] [ -i obraz_iso ] [ -x ścieżka ]

isovfy obraz_iso

OPIS
devdump jest prostym narzędziem interaktywnie wyświetlającym zawartość urządzenia lub obraz systemu plików. Początkowy obraz to pierwsze 256 bajtów pierwszego 2048-bajtowego sektora. Polecenia są takie same jak w przypadku isodump.

isodump jest prostym narzędziem interaktywnie wyświetlającym zawartość obrazów iso9660 w celu weryfikacji integralności katalogów. Początkowy obraz to pierwsza część katalogu głównego, i znak zachęty wyświetlający zakres i przesunięcie w tym zakresie.

    Można użyć poleceń 'a' i 'b' aby poruszać się w przód i w tył wewnątrz obrazu. Polecenie 'g' pozwala przeskoczyć do konkretnego miejsca, a polecenie 'f' pozwala na wpisanie frazy wyszukiwania. Polecenie '+' przeszukuje w przód aż do następnego wystąpienia frazy wyszukiwania, a polecenie 'q' kończy działanie programu devdump lub isodump.

isoinfo jest narzędziem pozwalającym na listowanie zawartości obrazu iso9660 tak jak katalogu.

isovfy jest narzędziem do weryfikacji integralności obrazu iso9660. Większość testów w isovfy zostało dodanych po tym jak odnaleziono błędy we wczesnych wersjach mkisofs. Trudno określić jak użyteczne jest to aktualnie, ale nie zaszkodzi spróbować.

OPCJE
Tylko program isoinfo pozwala na użycie opcji w linii komend. Mianowicie:

-h  wyświetla podsumowanie wszystkich opcji.

-f  tworzy taki wynik, jakby ktoś wykonał 'find . -print' na obrazie iso9660. Nie należy używać opcji -l razem z opcją -f

-i obraz_iso
    Określa ścieżkę do obrazu iso9660, który chcemy sprawdzić.

-l  tworzy taki wynik, jakby ktoś wykonał 'ls -lR' na obrazie iso9660. Nie należy używać opcji -f razem z opcją -l

-N sektor
    Szybki sposób na analizowanie jednosesyjnych obrazów, które mają być zapisane na płytę wielosesyjną. Numer sektora określa miejsce, w którym zostanie zapisana ścieżka na płytę przez nagrywarkę. Nie dotyczy pierwszej sesji na płycie.

-p  Wyświetla informację o tablicy ścieżek.

-R  Wyciąga informacje z rozszerzenia Rock Ridge (jeśli jest obecne) o prawach, nazwach plików i właścicielu.

-J  Wyciąga informacje z rozszerzenia Joliet (jeśli jest obecne) o nazwach plików.

-T sektor
    Szybki sposób na analizowanie wielosesyjnych obrazów, które zostały już wypalone na płycie wielosesyjnej. Numer sektora podany tutaj to numer sektora, w którym zaczyna się dana sesja na płycie.

-x ścieżka
    Wyświetla podany plik na standardowe wyjście.

AUTOR
O te liche dodatki należy winić Erica Youngdale'a <ericy@gnu.ai.mit.edu> lub <eric@andante.jic.com>. Patche poprawiające używalność byłyby mile widziane.

BŁĘDY
Interfejs użytkownika jest do bani.

PRZYSZŁE UDOSKONALENIA
Te narzędzia to tylko szybkie sztuczki, które są bardzo użyteczne podczas odpluskwiania problemów w mkisofs lub systemie plików iso9660. Na dłuższą metę, byłoby miło mieć demon, który by eksportował obraz iso9660 po NFS-ie.

Isoinfo jest programem, który jest prawdopodobnie najbardziej użyteczny dla zwykłego użytkownika.

DOSTĘPNOŚĆ
Te narzędzia zostały dostarczone wraz z pakietem mkisofs, a pierwotny host ftp to tsx-11.mit.edu, ścieżka /pub/linux/BETA/cdrom/mkisofs i wiele innych serwerów lustrzanych. Pomimo nazwy, oprogramowanie to nie jest wersją beta.

ZOBACZ TEŻ
mkisofs(8)